using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent (typeof(Rigidbody))]
public class BuoyantObject : WaterObject {


    [Tooltip ("How fast object will raise into the ")]
    public float BouancyValue = 5;

    //rigidbody attached to GameObject
    private Rigidbody rb;

    #region Unity Functions
    void Awake() {
        rb = GetComponent<Rigidbody>();
    }



    #endregion Unity Functions


    public override void OnWaterStay() {
        




    }

    public override void OnWaterEnter() {
        throw new NotImplementedException();    
    }

    public override void OnWaterExit() {
        throw new NotImplementedException();
    }

    /// <summary>
    /// 
    /// </summary>
    public void BuoyancyCalc() {





    }




}
